
--local fenSyntaxValidator = {}

function isValidString(aStr)
  local table1 = {}
  
  for s in string.gmatch(aStr, '%S+') do
    table1[#table1 + 1] = s
  end
  
  if #table1 ~= 6 then
    return false
  end
  
  local table2 = {}
  
  for s in string.gmatch(table1[1], '[^/]+') do
    table2[#table2 + 1] = s
  end
  
  if #table2 ~= 8 then
    return false
  end
  
  for i = 1, 8 do
    if string.len(string.gsub(table2[i], '%d', function(a) return string.rep(' ', tonumber(a)) end)) ~= 8 then
      return false
    end
  end
  
  if string.len(string.match(table1[2], '[wb]')) ~= 1 then
    return false
  end
  
  if table1[3] ~= '-' then
    if string.len(table1[3]) ~= string.len(string.match(table1[3], '[kqKQ]+')) then
      return false
    end
  end
  
  if table1[4] ~= '-' then
    if not (
      (string.len(table1[4]) == 2) and
      string.match(string.sub(table1[4], 1, 1), '[abcdefgh]') and
      string.match(string.sub(table1[4], 2, 2), '[36]')
    ) then
      return false
    end
  end
  
  if (tonumber(table1[5]) == nil) then
    return false
  end
  
  if ((tonumber(table1[6]) == nil) or (tonumber(table1[6]) < 1)) then
    return false
  end

  return true
end

--return fenSyntaxValidator
